From cd9e137a2e33165a8af3a7e4a3d2615adcabf659 Mon Sep 17 00:00:00 2001
From: Vojtech Trefny <vtrefny@redhat.com>
Date: Fri, 8 Nov 2024 09:19:45 +0100
Subject: [PATCH 1/2] Fix "Modified passphrase in stratis test"

Follow up for 68708e347ef7b2f98312c76aa80366091dd4aade, two more
places where the passphrase is too short for FIPS mode.

Resolves: RHEL-45173
---
 tests/storage_tests/devices_test/stratis_test.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/storage_tests/devices_test/stratis_test.py b/tests/storage_tests/devices_test/stratis_test.py
index 21c4d0f50..9792e0618 100644
--- a/tests/storage_tests/devices_test/stratis_test.py
+++ b/tests/storage_tests/devices_test/stratis_test.py
@@ -105,7 +105,7 @@ def test_stratis_encrypted(self):
         blivet.partitioning.do_partitioning(self.storage)
 
         pool = self.storage.new_stratis_pool(name="blivetTestPool", parents=[bd],
-                                             encrypted=True, passphrase="abcde")
+                                             encrypted=True, passphrase="fipsneeds8chars")
         self.storage.create_device(pool)
 
         self.storage.do_it()
@@ -260,7 +260,7 @@ def test_stratis_encrypted_clevis_tpm(self):
         blivet.partitioning.do_partitioning(self.storage)
 
         pool = self.storage.new_stratis_pool(name="blivetTestPool", parents=[bd],
-                                             encrypted=True, passphrase="abcde",
+                                             encrypted=True, passphrase="fipsneeds8chars",
                                              clevis=StratisClevisConfig(pin="tpm2"))
         self.storage.create_device(pool)
 

From ed10d97a5257c0f4fe8a2f53b0b2f787de91c355 Mon Sep 17 00:00:00 2001
From: Vojtech Trefny <vtrefny@redhat.com>
Date: Fri, 8 Nov 2024 10:02:47 +0100
Subject: [PATCH 2/2] tests: Fix writing key file for LUKS tests

Related: RHEL-45173
---
 tests/storage_tests/formats_test/luks_test.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/storage_tests/formats_test/luks_test.py b/tests/storage_tests/formats_test/luks_test.py
index 93c8d7524..b8ec229ba 100644
--- a/tests/storage_tests/formats_test/luks_test.py
+++ b/tests/storage_tests/formats_test/luks_test.py
@@ -99,6 +99,7 @@ def test_setup_keyfile(self):
 
         with tempfile.NamedTemporaryFile(prefix="blivet_test") as temp:
             temp.write(b"password2")
+            temp.flush()
 
             # create the luks format with both passphrase and keyfile
             self.fmt._key_file = temp.name
